#include <stdio.h>
#include "gddcommon.h"
#include "gddblas_host.h"
#include "common_test.h"
#include <time.h>

int
main( int argc, char const* argv[] )
{
    srand( (unsigned)time( NULL ) );

    double   dah1 = ((double)rand( ))/((double)RAND_MAX);
    double   dal1 = dzero();
    double   dbh1 = ((double)rand( ))/((double)RAND_MAX);
    double   dbl1 = dzero();
    double    ch1 = ((double)rand( ))/((double)RAND_MAX);
    double    cl1 = dzero();
    double    sh1 = ((double)rand( ))/((double)RAND_MAX);
    double    sl1 = dzero();

    double   dah2 = dah1;
    double   dbh2 = dbh1;
    double    ch2 =  ch1;
    double    sh2 =  sh1;

    gddrotg_host_(&dah1,&dal1,&dbh1,&dbl1,&ch1,&cl1,&sh1,&sl1);
    drotg_(&dah2,&dbh2,&ch2,&sh2);


    dcheck(&dah1,&dah2,1,1);
    dcheck(&dbh1,&dbh2,1,1);
    dcheck(&ch1,&ch2,1,1);
    dcheck(&sh1,&sh2,1,1);
}
