#include <stdio.h>
#include "gddcommon.h"
#include "gddblas_host.h"
#include "common_test.h"
#include <time.h>

int
main( int argc, char const* argv[] )
{
    srand( (unsigned)time( NULL ) );

    double   dah1 = ((double)rand( ))/((double)RAND_MAX);
    double   dal1 = dzero();
    double   dbh1 = ((double)rand( ))/((double)RAND_MAX);
    double   dbl1 = dzero();
    double    xh1 = ((double)rand( ))/((double)RAND_MAX);
    double    xl1 = dzero();
    double    yh1 = ((double)rand( ))/((double)RAND_MAX);
    double    yl1 = dzero();
    double flagh1[5],flagl1[5];
    int i;
    for (i = 0; i < 5; i++) {
	    flagh1[i] = 0.0;
	    flagl1[i] = 0.0;
    }
    


    double   dah2 = dah1;
    double   dbh2 = dbh1;
    double    xh2 =  xh1;
    double    yh2 =  yh1;
    double flagh2[5];
    for (i = 0; i < 5; i++) {
	    flagh2[i] = 0.0;
    }


    gddrotmg_host_(&dah1,&dal1,&dbh1,&dbl1,&xh1,&xl1,&yh1,&yl1,flagh1,flagl1);
/*    ddrotmg_(&dah1,&dal1,&dbh1,&dbl1,&xh1,&xl1,&yh1,&yl1,&flagh1,&flagl1);*/
/*    gddrotmg_host_(&dah1,&dbh1,&xh1,&yh1,&flagh1);*/
    drotmg_(&dah2,&dbh2,&xh2,&yh2,flagh2);
/*    drotmg_(&dah2,&dbh2,&xh2,&yh2,&flagh2);*/

    dcheck(flagh1,flagh2,1,5);


}
