#include <time.h>
#include <stdlib.h>
#include <stdio.h>
#include "gddcommon.h"

void
realgen1mat_( int *m, int*n, double *ah, double*al )
{
	int i,j;
    srand( (unsigned)time( NULL ) );

    for( i = 0; i < *m; i++ )
    {
        for( j = 0; j < *n; j++ )
        {
            *( ah+i+( *m )*j ) 
		    = ( (double)rand( )/( (double) RAND_MAX )-0.5 );
            *( al+i+( *m )*j ) 
		    = ( (double)rand( )/( (double) RAND_MAX )-0.5 )*10e-12;
        }
    }
}


void
imaggen1mat_( int *m, int*n, cuDoubleComplex *ah, cuDoubleComplex*al )
{
	int i,j;
    srand( (unsigned)time( NULL ) );

    for( i = 0; i < *m; i++ )
    {
        for( j = 0; j < *n; j++ )
        {
            *( ah+i+( *m )*j ) 
		    = make_cuDoubleComplex(
				    ( (double)rand( )/( (double) RAND_MAX )-0.5 ),
				    ( (double)rand( )/( (double) RAND_MAX )-0.5 )
				    );
            *( al+i+( *m )*j ) 
		    = make_cuDoubleComplex(
				    ( (double)rand( )/( (double) RAND_MAX )-0.5 )*10e-12,
				    ( (double)rand( )/( (double) RAND_MAX )-0.5 )*10e-12
				    );
        }
    }
}


