#include "gddcommon.h"
#include "gddblas_host.h"

#ifdef __cplusplus
extern "C" {
#endif
int
gddtbsv_host_multigpu_( char*uplo, char*trans, char*diag, int *n, int *k,
                       double *Ah, double *Al, int *lda, double * xh,
                       double *xl,
                       int *incx  )
{
    double * hAh, *hAl;
    int      sizeA = ( *n )*( *n );

    cudaMallocHost( (void **)&hAh, sizeA*sizeof( double ) );
    cudaMallocHost( (void **)&hAl, sizeA*sizeof( double ) );

    int      ku, kl;
    if( *uplo == 'U' || *uplo == 'u' )
    {
        ku = *k;
        kl = 0;
    }
    else
    {
        ku = 0;
        kl = *k;
    }

/*    int     x, y;*/
/*    for (x = 0; x < *n; x++) {*/
/*            printf("%e\n",*(xh+x));*/
/*    }*/
    copyFromBandMatrix( *n, *n, kl, ku, Ah, Al, *lda, hAh, hAl );
    gddtrsv_host_multigpu_( uplo, trans,diag, n,
                           hAh, hAl, n, xh, xl, incx );


/*    for( x = 0; x < *n; x++ )*/
/*    {*/
/*        for( y = 0; y < *n; y++ )*/
/*        {*/
/*            printf( "%e,", *( hAh+x+y*( *n ) ) );*/
/*        }*/
/*        printf( "\n" );*/
/*    }*/



    return 0;


    cudaFreeHost( hAh );
    cudaFreeHost( hAl );
    return 0;
}

#ifdef __cplusplus
}
#endif

